Package twisted :: Package protocols :: Module policies :: Class LimitConnectionsByPeerProtocol

[show private | hide private]
[frames | no frames]

## Class LimitConnectionsByPeerProtocol

    BaseProtocol --+
                   |
            Protocol --+
                       |
         ProtocolWrapper --+
                           |
                          LimitConnectionsByPeerProtocol

Stability: Unstable

Method Summary
| `__init__(self, factory, wrappedProtocol)` (inherited from `ProtocolWrapper`)
| ``connectionFailed`(self)` (Deprecated) (inherited from `Protocol`)
| `connectionLost(self)`
| ``connectionMade`(self)` Called when a connection is made. (inherited from `ProtocolWrapper`)
| ``dataReceived`(self, data)` Called whenever data is received. (inherited from `ProtocolWrapper`)
| `getHost(self)` (inherited from `ProtocolWrapper`)
| `getPeer(self)` (inherited from `ProtocolWrapper`)
| `loseConnection(self)` (inherited from `ProtocolWrapper`)
| ``makeConnection`(self, transport)` Make a connection to a transport and a server. (inherited from `BaseProtocol`)
| `registerProducer(self, producer, streaming)` (inherited from `ProtocolWrapper`)
| `stopConsuming(self)` (inherited from `ProtocolWrapper`)
| `unregisterProducer(self)` (inherited from `ProtocolWrapper`)
| `write(self, data)` (inherited from `ProtocolWrapper`)
| `writeSequence(self, data)` (inherited from `ProtocolWrapper`)

Generated by Epydoc 1.1 on Thu May 8 13:18:53 2003 | http://epydoc.sf.net